API reference

ความสามารถในการส่งถึง

ตรวจสอบอีเวนต์ ผลลัพธ์ด้านชื่อเสียง และผู้รับที่ถูกบล็อก

GET/deliverability/stats
API key

ดึงสถิติการส่งถึงย้อนหลัง 30 วัน

ดึงสถิติการส่งถึงย้อนหลัง 30 วัน

คำขอ
curl https://sendhq.cc/api/v1/deliverability/stats \
  -X GET \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
การตอบกลับ 200
{
  "window": "30d",
  "sent": 0,
  "delivery": 0,
  "bounce": 0,
  "complaint": 0,
  "deliveryRate": null
}
GET/deliverability/reputation
API key

แสดงสถานะชื่อเสียงตามตัวตนผู้ส่งที่ตรงกันทุกตัวอักษร

แสดงสถานะชื่อเสียงตามตัวตนผู้ส่งที่ตรงกันทุกตัวอักษร

คำขอ
curl https://sendhq.cc/api/v1/deliverability/reputation \
  -X GET \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
การตอบกลับ 200
{
  "data": [
    {
      "sender": "alerts@example.com",
      "status": "active",
      "dailyLimit": 2000,
      "reason": null,
      "cleanSince": "2026-09-01T00:00:00.000Z",
      "warnedAt": null,
      "pausedAt": null,
      "evaluatedAt": "2026-09-07T00:00:00.000Z"
    }
  ],
  "count": 1
}
GET/suppressions
API key

แสดงรายการระงับการส่งของเวิร์กสเปซ

แสดงรายการระงับการส่งของเวิร์กสเปซ

พารามิเตอร์คิวรีlimitoffset
คำขอ
curl https://sendhq.cc/api/v1/suppressions \
  -X GET \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
การตอบกลับ 200
{
  "data": [],
  "count": 0
}
DELETE/suppressions/:email
API key

ลบการระงับการส่งจาก bounce ที่มีสิทธิ์

ลบการระงับการส่งจาก bounce ที่มีสิทธิ์

คำขอ
curl https://sendhq.cc/api/v1/suppressions/email_value \
  -X DELETE \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
การตอบกลับ 200
{
  "ok": true
}
GET/blocked-recipients
API key

แสดงรายการ bounce, complaint และการยกเลิกการรับ

แสดงรายการ bounce, complaint และการยกเลิกการรับ

พารามิเตอร์คิวรีlimit
คำขอ
curl https://sendhq.cc/api/v1/blocked-recipients \
  -X GET \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
การตอบกลับ 200
{
  "data": [],
  "count": 0,
  "summary": {
    "total": 0,
    "unsubscribe": 0,
    "bounce": 0,
    "complaint": 0
  }
}